<?php
/**
 * Clase Base Bean para BaseCrUtilidadMerRepBN
 *
 * @package    Sedapal
 * @subpackage BaseCrUtilidadMerRepBN
 * @author     Willy
 * @version    SVN:: BaseCrUtilidadMerRepBN.class.php,v 1.1 2016-11-11 13:28:58 william.taype Exp $
 */
abstract class BaseCrUtilidadMerRepBN
{
  protected $IdMercado;
  protected $IdColaborador;
  protected $Mensaje;
  protected $Error;

  public function getIdMercado(){
    return $this->IdMercado;
  }
  public function setIdMercado($v1){
    $this->IdMercado = $v1; 
  }

  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v1){
    $this->IdColaborador = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_utilidad_mer_repBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_utilidad_mer_repRs )
  {
    $o_CrUtilidadMerRepBN = new CrUtilidadMerRepBN();
    $o_CrUtilidadMerRepBN->setIdMercado( $o_Cr_utilidad_mer_repRs['IdMercado'] );
    $o_CrUtilidadMerRepBN->setIdColaborador( $o_Cr_utilidad_mer_repRs['IdColaborador'] );
    return $o_CrUtilidadMerRepBN;
  }
}